Bug 1304888 - [RFE] Implementing Aggregating Container status check.
[RFE] Implementing Aggregating Container status check.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: Luke Meyer
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 17:09 EST by Ryan Howe
Modified: 2017-09-19 13:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 13:26:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-02-04 17:09:45 EST
Description of problem:

We need a feature that would allow us to check to ensure that the logging stack was configured and working as designed. We are not looking to check the health of the pods. 

This request is asking for a status check on the EFK stack to ensure that the console is workings, the logs are being gathered, and the storage is healthy.
Comment 1 Luke Meyer 2016-02-08 16:19:56 EST
That would be a great addition to diagnostics.

It would probably be pretty complicated.
Comment 2 Jeff Cantrill 2016-02-09 09:14:57 EST
I think we talked about it, but couldnt some variance of https://github.com/openshift/origin-aggregated-logging/blob/master/hack/testing/check-EFK-running.sh provide similiar results?  Maybe it could be modified to be useful in the interim until a proper diagnostic solution could be created.
Comment 3 Dan McPherson 2016-04-13 15:04:33 EDT
Should this not be done through liveness/readiness?

Note You need to log in before you can comment on or make changes to this bug.